/*
 * "Hello World" example.
 *
 * This example prints 'Hello from Nios II' to the STDOUT stream. It runs on
 * the Nios II 'standard', 'full_featured', 'fast', and 'low_cost' example
 * designs. It runs with or without the MicroC/OS-II RTOS and requires a STDOUT
 * device in your system's hardware.
 * The memory footprint of this hosted application is ~69 kbytes by default
 * using the standard reference design.
 *
 * For a reduced footprint version of this template, and an explanation of how
 * to reduce the memory footprint for a given application, see the
 * "small_hello_world" template.
 *
 */

#include <stdio.h>

int main()
{
  char *name = "John Loomis";
  short *ip;
  int i;
  printf("Hello from Nios II!\n");
  char buf[40];
  int year = 2007;
  sprintf(buf,"The year is %d\n",year);
  printf(buf);
  
  FILE *lcd = fopen("/dev/lcd","w");
  fprintf(lcd,buf);
  
  ip  = (short *) name;
  for (i=0; i<8; i++) {
    printf("%04x\n",ip[i]);
  } 

  return 0;
}
